Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class AnalyzerDropTarget

    java.lang.Object
      java.awt.dnd.DropTarget
          samples.javaclient.analyzer.AnalyzerDropTarget

All Implemented Interfaces:
  java.awt.dnd.DropTargetListener, java.util.EventListener, java.io.Serializable

public class AnalyzerDropTarget
extends java.awt.dnd.DropTarget

The AnalyzerDropTarget makes it easier to decipher drop targets that objects are being dragged over. There are two drop targets for the application:

1. Desktop: drop target for worksheets
2. Dataview: drop target for saved selections and dimension members

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.dnd.DropTarget
`java.awt.dnd.DropTarget.DropTargetAutoScroller`

Field Summary
`static int` | `DATAVIEW`
`static int` | `DESKTOP`
`(package private) int` | `m_analyzerTarget`
`(package private) oracle.dss.dataView.Dataview` | `m_dataview`
`(package private) Worksheet` | `m_worksheet`

Fields inherited from class java.awt.dnd.DropTarget
``

Constructor Summary
`AnalyzerDropTarget()` Constructor for the AnalyzerDropTarget class.
`AnalyzerDropTarget(java.awt.Component component, int ops, java.awt.dnd.DropTargetListener dtl)`

Method Summary
`int` | `getAnalyzerTarget()` Get the Analyzer drop target.
`oracle.dss.dataView.Dataview` | `getDataview()` Get the Dataview for this DropTarget.
`Worksheet` | `getWorksheet()` Returns the worksheet object associated with this dataview.
`void` | `setAnalyzerTarget(int analyzerTarget)` Set the Analyzer drop target.
`void` | `setDataview(oracle.dss.dataView.Dataview dataview)` Set the Dataview for this DropTarget.
`void` | `setWorksheet(Worksheet worksheet)` Set the Worksheet for this DropTarget.

Methods inherited from class java.awt.dnd.DropTarget
`addDropTargetListener, addNotify, clearAutoscroll, createDropTargetAutoScroller, createDropTargetContext, dragEnter, dragExit, dragOver, drop, dropActionChanged, getComponent, getDefaultActions, getDropTargetContext, getFlavorMap, initializeAutoscrolling, isActive, removeDropTargetListener, removeNotify, setActive, setComponent, setDefaultActions, setFlavorMap, updateAutoscroll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_dataview

    oracle.dss.dataView.Dataview m_dataview

### m_worksheet

    Worksheet m_worksheet

### m_analyzerTarget

    int m_analyzerTarget

### DATAVIEW

    public static final int DATAVIEW

See Also:
  Constant Field Values

### DESKTOP

    public static final int DESKTOP

See Also:
  Constant Field Values

Constructor Detail

### AnalyzerDropTarget

    public AnalyzerDropTarget()

  Constructor for the AnalyzerDropTarget class.

### AnalyzerDropTarget

    public AnalyzerDropTarget(java.awt.Component component,
                              int ops,
                              java.awt.dnd.DropTargetListener dtl)

Method Detail

### getDataview

    public oracle.dss.dataView.Dataview getDataview()

  Get the Dataview for this DropTarget. This method should only be called if the DropTarget is a AnalyzerDropTarget.DATAVIEW

  Returns:
    dataview The dataview drop target.

### setDataview

    public void setDataview(oracle.dss.dataView.Dataview dataview)

  Set the Dataview for this DropTarget. This method should only be called if the DropTarget is a Dataview

  Parameters:
    `dataview` - The dataview is a valid drop target.

### setWorksheet

    public void setWorksheet(Worksheet worksheet)

  Set the Worksheet for this DropTarget. This method should only be called if the DropTarget is a Dataview

  Parameters:
    `worksheet` - The worksheet that contains the dataview (the Dataview is a DropTarget)

### getWorksheet

    public Worksheet getWorksheet()

  Returns the worksheet object associated with this dataview. This is only valid when the DropTarget is a Dataview

  Returns:
    The worksheet associated with this dataview drop target

### getAnalyzerTarget

    public int getAnalyzerTarget()

  Get the Analyzer drop target. There are two valid drop targets for the application: the Desktop or a Dataview.

  Returns:
    an integer representing the drop target: AnalyzerDropTarget.DESKTOP or AnalyzerDropTarget.DATAVIEW

### setAnalyzerTarget

    public void setAnalyzerTarget(int analyzerTarget)

  Set the Analyzer drop target. There are two valid drop targets for the application: the Desktop or a Dataview

  Parameters:
    `analyzerTarget` - The drop target for the application. Valid values are AnalyzerDropTarget.DATAVIEW or AnalyzerDropTarget.DESKTOP

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD